package b4a.example;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class addveditpage extends Activity implements B4AActivity{
	public static addveditpage mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
        mostCurrent = this;
		if (processBA == null) {
			processBA = new BA(this.getApplicationContext(), null, null, "b4a.example", "b4a.example.addveditpage");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (addveditpage).");
				p.finish();
			}
		}
        processBA.setActivityPaused(true);
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(processBA, wl, false))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.example", "b4a.example.addveditpage");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.example.addveditpage", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (addveditpage) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (addveditpage) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEventFromUI(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return addveditpage.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeydown", this, new Object[] {keyCode, event}))
            return true;
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeyup", this, new Object[] {keyCode, event}))
            return true;
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null)
            return;
        if (this != mostCurrent)
			return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (addveditpage) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        if (mostCurrent != null)
            processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
            addveditpage mc = mostCurrent;
			if (mc == null || mc != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (addveditpage) Resume **");
            if (mc != mostCurrent)
                return;
		    processBA.raiseEvent(mc._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
    public void onRequestPermissionsResult(int requestCode,
        String permissions[], int[] grantResults) {
        for (int i = 0;i < permissions.length;i++) {
            Object[] o = new Object[] {permissions[i], grantResults[i] == 0};
            processBA.raiseEventFromDifferentThread(null,null, 0, "activity_permissionresult", true, o);
        }
            
    }

public anywheresoftware.b4a.keywords.Common __c = null;
public anywheresoftware.b4a.objects.PanelWrapper _panel1 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _imageview1 = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _imageview2 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btntakepicture = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edittext1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button2 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button3 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button4 = null;
public anywheresoftware.b4a.objects.CameraW _camera1 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label4 = null;
public b4a.example.main _main = null;
public b4a.example.starter _starter = null;

public static void initializeProcessGlobals() {
             try {
                Class.forName(BA.applicationContext.getPackageName() + ".main").getMethod("initializeProcessGlobals").invoke(null, null);
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
}
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 30;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 32;BA.debugLine="Activity.LoadLayout(\"addVeditPage\")";
mostCurrent._activity.LoadLayout("addVeditPage",mostCurrent.activityBA);
 //BA.debugLineNum = 34;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 43;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 44;BA.debugLine="camera1.Release";
mostCurrent._camera1.Release();
 //BA.debugLineNum = 45;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 35;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 36;BA.debugLine="If Starter.CurrentIndex > -1 Then";
if (mostCurrent._starter._currentindex>-1) { 
 //BA.debugLineNum = 37;BA.debugLine="ShowEntry(Starter.CurrentIndex)";
_showentry(mostCurrent._starter._currentindex);
 };
 //BA.debugLineNum = 39;BA.debugLine="btnTakePicture.Enabled = False";
mostCurrent._btntakepicture.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 40;BA.debugLine="camera1.Initialize(Panel1, \"Camera1\")";
mostCurrent._camera1.Initialize(mostCurrent.activityBA,(android.view.ViewGroup)(mostCurrent._panel1.getObject()),"Camera1");
 //BA.debugLineNum = 41;BA.debugLine="End Sub";
return "";
}
public static String  _addentry() throws Exception{
String _query = "";
anywheresoftware.b4a.sql.SQL.CursorWrapper _cursor1 = null;
int _id = 0;
 //BA.debugLineNum = 116;BA.debugLine="Sub AddEntry";
 //BA.debugLineNum = 117;BA.debugLine="Private Query As String";
_query = "";
 //BA.debugLineNum = 118;BA.debugLine="Private Cursor1 As Cursor";
_cursor1 = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
 //BA.debugLineNum = 119;BA.debugLine="Private ID As Int";
_id = 0;
 //BA.debugLineNum = 120;BA.debugLine="Label4.Text = File.DirRootExternal &\"/\"& EditText";
mostCurrent._label4.setText(BA.ObjectToCharSequence(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal()+"/"+mostCurrent._edittext1.getText()+".jpg"));
 //BA.debugLineNum = 121;BA.debugLine="Query = \"SELECT * FROM Denek WHERE AD = ? AND RES";
_query = "SELECT * FROM Denek WHERE AD = ? AND RESIM = ?";
 //BA.debugLineNum = 122;BA.debugLine="Cursor1 = Starter.SQL1.ExecQuery2(Query, Array As";
_cursor1.setObject((android.database.Cursor)(mostCurrent._starter._sql1.ExecQuery2(_query,new String[]{mostCurrent._edittext1.getText(),mostCurrent._label4.getText()})));
 //BA.debugLineNum = 124;BA.debugLine="If Cursor1.RowCount > 0 Then";
if (_cursor1.getRowCount()>0) { 
 //BA.debugLineNum = 126;BA.debugLine="ToastMessageShow(\"This entry already exists\", Fa";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("This entry already exists"),anywheresoftware.b4a.keywords.Common.False);
 }else {
 //BA.debugLineNum = 129;BA.debugLine="Query = \"INSERT INTO Denek VALUES (NULL, ?, ?)\"";
_query = "INSERT INTO Denek VALUES (NULL, ?, ?)";
 //BA.debugLineNum = 130;BA.debugLine="Starter.SQL1.ExecNonQuery2(Query, Array As Strin";
mostCurrent._starter._sql1.ExecNonQuery2(_query,anywheresoftware.b4a.keywords.Common.ArrayToList(new String[]{mostCurrent._edittext1.getText(),mostCurrent._label4.getText()}));
 //BA.debugLineNum = 132;BA.debugLine="ToastMessageShow(\"Entry added\", False)	' confirm";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("Entry added"),anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 135;BA.debugLine="ID = Starter.SQL1.ExecQuerySingleResult(\"SELECT";
_id = (int)(Double.parseDouble(mostCurrent._starter._sql1.ExecQuerySingleResult("SELECT max(ID) FROM Denek")));
 //BA.debugLineNum = 136;BA.debugLine="Starter.RowNumber = Starter.RowNumber + 1";
mostCurrent._starter._rownumber = (int) (mostCurrent._starter._rownumber+1);
 //BA.debugLineNum = 137;BA.debugLine="Starter.IDList.Add(ID)";
mostCurrent._starter._idlist.Add((Object)(_id));
 //BA.debugLineNum = 138;BA.debugLine="Starter.CurrentIndex = Starter.IDList.Size - 1";
mostCurrent._starter._currentindex = (int) (mostCurrent._starter._idlist.getSize()-1);
 };
 //BA.debugLineNum = 141;BA.debugLine="Cursor1.Close";
_cursor1.Close();
 //BA.debugLineNum = 143;BA.debugLine="ShowButtons";
_showbuttons();
 //BA.debugLineNum = 144;BA.debugLine="End Sub";
return "";
}
public static String  _btntakepicture_click() throws Exception{
 //BA.debugLineNum = 72;BA.debugLine="Sub btnTakePicture_Click";
 //BA.debugLineNum = 74;BA.debugLine="camera1.TakePicture";
mostCurrent._camera1.TakePicture();
 //BA.debugLineNum = 77;BA.debugLine="End Sub";
return "";
}
public static String  _button1_click() throws Exception{
 //BA.debugLineNum = 80;BA.debugLine="Sub Button1_Click";
 //BA.debugLineNum = 82;BA.debugLine="ImageView1.Bitmap=LoadBitmap(File.DirRootExternal";
mostCurrent._imageview1.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),mostCurrent._edittext1.getText()+".jpg").getObject()));
 //BA.debugLineNum = 83;BA.debugLine="Label4.Text =  \"LoadBitmap(File.DirRootExternal,";
mostCurrent._label4.setText(BA.ObjectToCharSequence("LoadBitmap(File.DirRootExternal, EditText1.Text "+".jpg)"));
 //BA.debugLineNum = 84;BA.debugLine="ToastMessageShow(\"Resim kaydedildi: \" & File.Comb";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("Resim kaydedildi: "+anywheresoftware.b4a.keywords.Common.File.Combine(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),mostCurrent._edittext1.getText()+".jpg")),anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 85;BA.debugLine="Label4.Text = File.DirRootExternal &\"/\"& EditText";
mostCurrent._label4.setText(BA.ObjectToCharSequence(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal()+"/"+mostCurrent._edittext1.getText()+".jpg"));
 //BA.debugLineNum = 88;BA.debugLine="End Sub";
return "";
}
public static String  _button2_click() throws Exception{
 //BA.debugLineNum = 90;BA.debugLine="Sub Button2_Click";
 //BA.debugLineNum = 91;BA.debugLine="ImageView2.Bitmap=LoadBitmap(File.DirRootExternal";
mostCurrent._imageview2.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),mostCurrent._edittext1.getText()+".jpg").getObject()));
 //BA.debugLineNum = 92;BA.debugLine="End Sub";
return "";
}
public static String  _button3_click() throws Exception{
 //BA.debugLineNum = 191;BA.debugLine="Sub Button3_Click";
 //BA.debugLineNum = 192;BA.debugLine="AddEntry";
_addentry();
 //BA.debugLineNum = 193;BA.debugLine="End Sub";
return "";
}
public static String  _button4_click() throws Exception{
 //BA.debugLineNum = 195;BA.debugLine="Sub Button4_Click";
 //BA.debugLineNum = 196;BA.debugLine="UpdateEntry";
_updateentry();
 //BA.debugLineNum = 197;BA.debugLine="End Sub";
return "";
}
public static String  _camera1_picturetaken(byte[] _data) throws Exception{
String _filename = "";
String _dir = "";
anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper _out = null;
anywheresoftware.b4a.objects.IntentWrapper _i = null;
 //BA.debugLineNum = 56;BA.debugLine="Sub Camera1_PictureTaken (Data() As Byte)";
 //BA.debugLineNum = 59;BA.debugLine="Dim filename As String = EditText1.Text&\".jpg\"";
_filename = mostCurrent._edittext1.getText()+".jpg";
 //BA.debugLineNum = 60;BA.debugLine="Dim dir As String = File.DirRootExternal";
_dir = anywheresoftware.b4a.keywords.Common.File.getDirRootExternal();
 //BA.debugLineNum = 61;BA.debugLine="camera1.StartPreview";
mostCurrent._camera1.StartPreview();
 //BA.debugLineNum = 62;BA.debugLine="Dim out As OutputStream";
_out = new anywheresoftware.b4a.objects.streams.File.OutputStreamWrapper();
 //BA.debugLineNum = 63;BA.debugLine="out = File.OpenOutput(dir,filename, False)";
_out = anywheresoftware.b4a.keywords.Common.File.OpenOutput(_dir,_filename,anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 64;BA.debugLine="out.WriteBytes(Data, 0, Data.Length)";
_out.WriteBytes(_data,(int) (0),_data.length);
 //BA.debugLineNum = 65;BA.debugLine="out.Close";
_out.Close();
 //BA.debugLineNum = 66;BA.debugLine="Dim i As Intent";
_i = new anywheresoftware.b4a.objects.IntentWrapper();
 //BA.debugLineNum = 67;BA.debugLine="i.Initialize(\"android.intent.action.MEDIA_SCANNER";
_i.Initialize("android.intent.action.MEDIA_SCANNER_SCAN_FILE","file://"+anywheresoftware.b4a.keywords.Common.File.Combine(_dir,_filename));
 //BA.debugLineNum = 70;BA.debugLine="End Sub";
return "";
}
public static String  _camera1_ready(boolean _success) throws Exception{
 //BA.debugLineNum = 47;BA.debugLine="Sub Camera1_Ready (Success As Boolean)";
 //BA.debugLineNum = 48;BA.debugLine="If Success Then";
if (_success) { 
 //BA.debugLineNum = 49;BA.debugLine="camera1.StartPreview";
mostCurrent._camera1.StartPreview();
 //BA.debugLineNum = 50;BA.debugLine="btnTakePicture.Enabled = True";
mostCurrent._btntakepicture.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 }else {
 //BA.debugLineNum = 52;BA.debugLine="ToastMessageShow(\"Cannot open camera.\", True)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("Cannot open camera."),anywheresoftware.b4a.keywords.Common.True);
 };
 //BA.debugLineNum = 54;BA.debugLine="End Sub";
return "";
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 12;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 16;BA.debugLine="Private Panel1 As Panel";
mostCurrent._panel1 = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 17;BA.debugLine="Private ImageView1 As ImageView";
mostCurrent._imageview1 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 18;BA.debugLine="Private ImageView2 As ImageView";
mostCurrent._imageview2 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 19;BA.debugLine="Private btnTakePicture As Button";
mostCurrent._btntakepicture = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 20;BA.debugLine="Private EditText1 As EditText";
mostCurrent._edittext1 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 21;BA.debugLine="Private Button1 As Button";
mostCurrent._button1 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 22;BA.debugLine="Private Button2 As Button";
mostCurrent._button2 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 23;BA.debugLine="Private Button3 As Button";
mostCurrent._button3 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 25;BA.debugLine="Private Button4 As Button";
mostCurrent._button4 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 26;BA.debugLine="Dim camera1 As Camera";
mostCurrent._camera1 = new anywheresoftware.b4a.objects.CameraW();
 //BA.debugLineNum = 27;BA.debugLine="Private Label4 As Label";
mostCurrent._label4 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 28;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 10;BA.debugLine="End Sub";
return "";
}
public static String  _showbuttons() throws Exception{
 //BA.debugLineNum = 156;BA.debugLine="Sub ShowButtons";
 //BA.debugLineNum = 157;BA.debugLine="If Starter.EditMode = \"Edit\" Then";
if ((mostCurrent._starter._editmode).equals("Edit")) { 
 //BA.debugLineNum = 159;BA.debugLine="Button1.Visible = False";
mostCurrent._button1.setVisible(anywheresoftware.b4a.keywords.Common.False);
 }else {
 //BA.debugLineNum = 166;BA.debugLine="Button4.Visible = False";
mostCurrent._button4.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 171;BA.debugLine="If Starter.RowNumber <= 1 Then 		'check if the d";
if (mostCurrent._starter._rownumber<=1) { 
 }else {
 //BA.debugLineNum = 175;BA.debugLine="If Starter.CurrentIndex = 0 Then";
if (mostCurrent._starter._currentindex==0) { 
 }else {
 };
 //BA.debugLineNum = 181;BA.debugLine="If Starter.CurrentIndex = Starter.IDList.Size -";
if (mostCurrent._starter._currentindex==mostCurrent._starter._idlist.getSize()-1) { 
 }else {
 };
 };
 };
 //BA.debugLineNum = 189;BA.debugLine="End Sub";
return "";
}
public static String  _showentry(int _entryindex) throws Exception{
anywheresoftware.b4a.sql.SQL.CursorWrapper _cursor1 = null;
int _id = 0;
 //BA.debugLineNum = 95;BA.debugLine="Sub ShowEntry(EntryIndex As Int)";
 //BA.debugLineNum = 96;BA.debugLine="Private Cursor1 As Cursor";
_cursor1 = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
 //BA.debugLineNum = 97;BA.debugLine="Private ID As Int";
_id = 0;
 //BA.debugLineNum = 98;BA.debugLine="If Starter.IDList.Size = 0 Then";
if (mostCurrent._starter._idlist.getSize()==0) { 
 //BA.debugLineNum = 99;BA.debugLine="Return													'";
if (true) return "";
 };
 //BA.debugLineNum = 101;BA.debugLine="If Starter.EditMode = \"Add\" Then";
if ((mostCurrent._starter._editmode).equals("Add")) { 
 //BA.debugLineNum = 102;BA.debugLine="EditText1.Text=\"\"";
mostCurrent._edittext1.setText(BA.ObjectToCharSequence(""));
 }else {
 //BA.debugLineNum = 105;BA.debugLine="ID = Starter.IDList.Get(EntryIndex)";
_id = (int)(BA.ObjectToNumber(mostCurrent._starter._idlist.Get(_entryindex)));
 //BA.debugLineNum = 106;BA.debugLine="Cursor1 = Starter.SQL1.ExecQuery(\"SELECT * FROM";
_cursor1.setObject((android.database.Cursor)(mostCurrent._starter._sql1.ExecQuery("SELECT * FROM Denek WHERE ID = "+BA.NumberToString(_id))));
 //BA.debugLineNum = 107;BA.debugLine="Cursor1.Position = 0";
_cursor1.setPosition((int) (0));
 //BA.debugLineNum = 108;BA.debugLine="EditText1.Text = Cursor1.GetString(\"AD\")		'";
mostCurrent._edittext1.setText(BA.ObjectToCharSequence(_cursor1.GetString("AD")));
 //BA.debugLineNum = 109;BA.debugLine="ImageView1.Bitmap = LoadBitmap(File.DirRootExter";
mostCurrent._imageview1.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirRootExternal(),mostCurrent._edittext1.getText()+".jpeg").getObject()));
 //BA.debugLineNum = 111;BA.debugLine="Cursor1.Close";
_cursor1.Close();
 };
 //BA.debugLineNum = 113;BA.debugLine="ShowButtons";
_showbuttons();
 //BA.debugLineNum = 114;BA.debugLine="End Sub";
return "";
}
public static String  _updateentry() throws Exception{
String _query = "";
 //BA.debugLineNum = 147;BA.debugLine="Sub UpdateEntry";
 //BA.debugLineNum = 148;BA.debugLine="Private Query As String";
_query = "";
 //BA.debugLineNum = 150;BA.debugLine="Query = \"UPDATE Denek Set AD = ?, RESIM = ? WHERE";
_query = "UPDATE Denek Set AD = ?, RESIM = ? WHERE ID = "+BA.ObjectToString(mostCurrent._starter._idlist.Get(mostCurrent._starter._currentindex));
 //BA.debugLineNum = 151;BA.debugLine="Starter.SQL1.ExecNonQuery2(Query, Array As String";
mostCurrent._starter._sql1.ExecNonQuery2(_query,anywheresoftware.b4a.keywords.Common.ArrayToList(new String[]{mostCurrent._edittext1.getText(),mostCurrent._label4.getText()}));
 //BA.debugLineNum = 152;BA.debugLine="ToastMessageShow(\"Entry updated\", False)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("Entry updated"),anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 153;BA.debugLine="End Sub";
return "";
}
}
