﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=8.5
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Private Panel1 As Panel
	Private ImageView1 As ImageView
	Private ImageView2 As ImageView
	Private btnTakePicture As Button
	Private EditText1 As EditText
	Private Button1 As Button
	Private Button2 As Button
	Private Button3 As Button
	
	Private Button4 As Button
	Dim camera1 As Camera
	Private Label4 As Label
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("addVeditPage")

End Sub
Sub Activity_Resume
	If Starter.CurrentIndex > -1 Then
		ShowEntry(Starter.CurrentIndex)				
	End If
	btnTakePicture.Enabled = False
	camera1.Initialize(Panel1, "Camera1")
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	camera1.Release
End Sub

Sub Camera1_Ready (Success As Boolean)
	If Success Then
		camera1.StartPreview
		btnTakePicture.Enabled = True
	Else
		ToastMessageShow("Cannot open camera.", True)
	End If
End Sub

Sub Camera1_PictureTaken (Data() As Byte)
	
	
	Dim filename As String = EditText1.Text&".jpg"
	Dim dir As String = File.DirRootExternal
	camera1.StartPreview
	Dim out As OutputStream
	out = File.OpenOutput(dir,filename, False)
	out.WriteBytes(Data, 0, Data.Length)
	out.Close
	Dim i As Intent
	i.Initialize("android.intent.action.MEDIA_SCANNER_SCAN_FILE", _
"file://" & File.Combine(dir,filename))
	
End Sub

Sub btnTakePicture_Click
	
	camera1.TakePicture
	
	
End Sub


Sub Button1_Click

	ImageView1.Bitmap=LoadBitmap(File.DirRootExternal, EditText1.Text &".jpg")
	Label4.Text =  "LoadBitmap(File.DirRootExternal, EditText1.Text "&".jpg)"
	ToastMessageShow("Resim kaydedildi: " & File.Combine(File.DirRootExternal, EditText1.Text&".jpg"), True)	
	Label4.Text = File.DirRootExternal &"/"& EditText1.Text& ".jpg"	

	
End Sub

Sub Button2_Click	
	ImageView2.Bitmap=LoadBitmap(File.DirRootExternal, EditText1.Text &".jpg")
End Sub


Sub ShowEntry(EntryIndex As Int)
	Private Cursor1 As Cursor
	Private ID As Int	
	If Starter.IDList.Size = 0 Then 			
		Return													'
	End If	
	If Starter.EditMode = "Add" Then		
		EditText1.Text=""	
	
	Else
		ID = Starter.IDList.Get(EntryIndex)		
		Cursor1 = Starter.SQL1.ExecQuery("SELECT * FROM Denek WHERE ID = " & ID)
		Cursor1.Position = 0		
		EditText1.Text = Cursor1.GetString("AD")		'
		ImageView1.Bitmap = LoadBitmap(File.DirRootExternal,EditText1.Text &".jpeg")
		
		Cursor1.Close																		
		End If
	ShowButtons
End Sub

Sub AddEntry
	Private Query As String
	Private Cursor1 As Cursor
	Private ID As Int
	Label4.Text = File.DirRootExternal &"/"& EditText1.Text& ".jpg"	
	Query = "SELECT * FROM Denek WHERE AD = ? AND RESIM = ?"
	Cursor1 = Starter.SQL1.ExecQuery2(Query, Array As String (EditText1.Text, Label4.Text))

	If Cursor1.RowCount > 0 Then
		
		ToastMessageShow("This entry already exists", False)
	Else
	
		Query = "INSERT INTO Denek VALUES (NULL, ?, ?)"
		Starter.SQL1.ExecNonQuery2(Query, Array As String(EditText1.Text,Label4.Text))
		
		ToastMessageShow("Entry added", False)	' confirmation for the user
		
		
		ID = Starter.SQL1.ExecQuerySingleResult("SELECT max(ID) FROM Denek")
		Starter.RowNumber = Starter.RowNumber + 1		
		Starter.IDList.Add(ID)											
		Starter.CurrentIndex = Starter.IDList.Size - 1		
		
	End If
	Cursor1.Close												
	
	ShowButtons
End Sub


Sub UpdateEntry
	Private Query As String
	
	Query = "UPDATE Denek Set AD = ?, RESIM = ? WHERE ID = " & Starter.IDList.Get(Starter.CurrentIndex)
	Starter.SQL1.ExecNonQuery2(Query, Array As String(EditText1.Text,Label4.Text))
	ToastMessageShow("Entry updated", False)
End Sub


Sub ShowButtons
	If Starter.EditMode = "Edit" Then
		
		Button1.Visible = False
		
			
		
	Else
		
		
		Button4.Visible = False
		
		
		
			
		If Starter.RowNumber <= 1 Then 		'check if the database has less than 2 empty
			
		Else
			'show or hide the Previous and Next buttons depending on the value of the current index
			If Starter.CurrentIndex = 0 Then
				
			Else
				
			End If
			
			If Starter.CurrentIndex = Starter.IDList.Size - 1 Then
				
			Else
				
			End If
		End If
	End If
	
End Sub

Sub Button3_Click
	AddEntry
End Sub

Sub Button4_Click
	UpdateEntry
End Sub
